Bug 171342 - libsepol does not require SysVinit for post so fails on new installs
libsepol does not require SysVinit for post so fails on new installs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libsepol (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 17:52 EDT by Paul Nasrat
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.9.25-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 07:45:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2005-10-20 17:52:37 EDT
Description of problem:
Installing libsepol-1.9.21-1.ppc.
/var/tmp/rpm-tmp.33346: line 2: /sbin/telinit: No such file or directory



Version-Release number of selected component (if applicable):

libsepol-1.9.21-1

How reproducible:

Always

Steps to Reproduce:
1. Clean rawhide install
2. Inspect /root/install.log
3.
  
Actual results:

Error messages

Expected results:

Package has appropriate requires so ordering is correct.

Additional info:
Comment 1 Matthias Saou 2005-11-11 07:45:59 EST
This apparently got fixed on the next day :

* Fri Oct 21 2005 Dan Walsh <dwalsh@redhat.com> 1.9.25-1
- Upgrade to latest from NSA
        * Merged users cleanup patch from Ivan Gyurdiev.
        * Merged user record memory leak fix from Ivan Gyurdiev.
        * Merged reorganize users patch from Ivan Gyurdiev.

- Need to check for /sbin/telinit

With :

%post
/sbin/ldconfig
[ -x /sbin/telinit ] && /sbin/telinit U
exit 0

Note You need to log in before you can comment on or make changes to this bug.